pub mod token;

use std::fmt::Display;

#[derive(Debug, Default, Clone)]
pub struct Loc {
    pub file: String,
    pub line: usize,
    pub col:  usize
}

impl Loc {
    pub fn new<S: ToString>(file: S, line: usize, col: usize) -> Self {
        Self{
            file: file.to_string(),
            line,
            col,
        }
    }
}

impl Display for Loc {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "{}:{}:{}", self.file, self.line, self.col)?;
        Ok(())
    }
}